curl --request PATCH \ --url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "locale": "da", "chatHome": { "home": "Home", "addDetails": "Add details", "startConversation": "Start a conversation", "starting": "Starting..." }, "chatMessages": { "messages": "Messages", "noMessages": "No Messages", "loginToSeeHistory": "Verify your email to save your conversation history.", "historyShowsUpHere": "Your conversation history shows up here.", "verifyEmail": "Verify your email", "startConversation": "Start a conversation", "starting": "Starting..." }, "chatMessage": { "botName": "Bot", "yourName": "You", "agentName": "Agent", "escalationHeading": "Are you sure you want to escalate the chat to human support?", "escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.", "yesContinue": "Yes, continue", "cancel": "Cancel", "conversationEscalated": "👨💼 Conversation changed to human mode" }, "chatAccount": { "account": "Account", "verifyEmail": "Verify your email", "loginToSeeHistory": "Verify your email to save your chat history.", "emailLabel": "Email", "nameLabel": "Name", "phoneLabel": "Phone Number", "sendingOtp": "Sending OTP...", "verifyOtp": "Verify OTP", "sentOtpToEmail": "We sent the OTP to your email address", "otp": "OTP", "verifyAndContinue": "Verify & Continue", "notReceivedOtpYet": "Didn't receive OTP yet?", "resend": "Resend", "editDetails": "Edit Details", "resetting": "Resetting...", "verifying": "Verifying...", "logout": "Logout", "loggingOut": "Logging out...", "verified": "Verified", "edit": "Edit", "update": "Update", "updating": "Updating..." }}EOF
import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization"
payload = {
"locale": "da",
"chatHome": {
"home": "Home",
"addDetails": "Add details",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessages": {
"messages": "Messages",
"noMessages": "No Messages",
"loginToSeeHistory": "Verify your email to save your conversation history.",
"historyShowsUpHere": "Your conversation history shows up here.",
"verifyEmail": "Verify your email",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessage": {
"botName": "Bot",
"yourName": "You",
"agentName": "Agent",
"escalationHeading": "Are you sure you want to escalate the chat to human support?",
"escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.",
"yesContinue": "Yes, continue",
"cancel": "Cancel",
"conversationEscalated": "👨💼 Conversation changed to human mode"
},
"chatAccount": {
"account": "Account",
"verifyEmail": "Verify your email",
"loginToSeeHistory": "Verify your email to save your chat history.",
"emailLabel": "Email",
"nameLabel": "Name",
"phoneLabel": "Phone Number",
"sendingOtp": "Sending OTP...",
"verifyOtp": "Verify OTP",
"sentOtpToEmail": "We sent the OTP to your email address",
"otp": "OTP",
"verifyAndContinue": "Verify & Continue",
"notReceivedOtpYet": "Didn't receive OTP yet?",
"resend": "Resend",
"editDetails": "Edit Details",
"resetting": "Resetting...",
"verifying": "Verifying...",
"logout": "Logout",
"loggingOut": "Logging out...",
"verified": "Verified",
"edit": "Edit",
"update": "Update",
"updating": "Updating..."
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'da',
chatHome: {
home: 'Home',
addDetails: 'Add details',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessages: {
messages: 'Messages',
noMessages: 'No Messages',
loginToSeeHistory: 'Verify your email to save your conversation history.',
historyShowsUpHere: 'Your conversation history shows up here.',
verifyEmail: 'Verify your email',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessage: {
botName: 'Bot',
yourName: 'You',
agentName: 'Agent',
escalationHeading: 'Are you sure you want to escalate the chat to human support?',
escalationSubHeading: 'This conversation will be shared with the human support and they will get back to you as soon as they can.',
yesContinue: 'Yes, continue',
cancel: 'Cancel',
conversationEscalated: '👨💼 Conversation changed to human mode'
},
chatAccount: {
account: 'Account',
verifyEmail: 'Verify your email',
loginToSeeHistory: 'Verify your email to save your chat history.',
emailLabel: 'Email',
nameLabel: 'Name',
phoneLabel: 'Phone Number',
sendingOtp: 'Sending OTP...',
verifyOtp: 'Verify OTP',
sentOtpToEmail: 'We sent the OTP to your email address',
otp: 'OTP',
verifyAndContinue: 'Verify & Continue',
notReceivedOtpYet: 'Didn\'t receive OTP yet?',
resend: 'Resend',
editDetails: 'Edit Details',
resetting: 'Resetting...',
verifying: 'Verifying...',
logout: 'Logout',
loggingOut: 'Logging out...',
verified: 'Verified',
edit: 'Edit',
update: 'Update',
updating: 'Updating...'
}
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'locale' => 'da',
'chatHome' => [
'home' => 'Home',
'addDetails' => 'Add details',
'startConversation' => 'Start a conversation',
'starting' => 'Starting...'
],
'chatMessages' => [
'messages' => 'Messages',
'noMessages' => 'No Messages',
'loginToSeeHistory' => 'Verify your email to save your conversation history.',
'historyShowsUpHere' => 'Your conversation history shows up here.',
'verifyEmail' => 'Verify your email',
'startConversation' => 'Start a conversation',
'starting' => 'Starting...'
],
'chatMessage' => [
'botName' => 'Bot',
'yourName' => 'You',
'agentName' => 'Agent',
'escalationHeading' => 'Are you sure you want to escalate the chat to human support?',
'escalationSubHeading' => 'This conversation will be shared with the human support and they will get back to you as soon as they can.',
'yesContinue' => 'Yes, continue',
'cancel' => 'Cancel',
'conversationEscalated' => '👨💼 Conversation changed to human mode'
],
'chatAccount' => [
'account' => 'Account',
'verifyEmail' => 'Verify your email',
'loginToSeeHistory' => 'Verify your email to save your chat history.',
'emailLabel' => 'Email',
'nameLabel' => 'Name',
'phoneLabel' => 'Phone Number',
'sendingOtp' => 'Sending OTP...',
'verifyOtp' => 'Verify OTP',
'sentOtpToEmail' => 'We sent the OTP to your email address',
'otp' => 'OTP',
'verifyAndContinue' => 'Verify & Continue',
'notReceivedOtpYet' => 'Didn\'t receive OTP yet?',
'resend' => 'Resend',
'editDetails' => 'Edit Details',
'resetting' => 'Resetting...',
'verifying' => 'Verifying...',
'logout' => 'Logout',
'loggingOut' => 'Logging out...',
'verified' => 'Verified',
'edit' => 'Edit',
'update' => 'Update',
'updating' => 'Updating...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization"
payload := strings.NewReader("{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Updated localization settings of the chatbot successfully", "data": {}}
Settings
Update Chatbot Settings - Localization
Update localization settings of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
localization
Update Chatbot Settings - Localization
curl --request PATCH \ --url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "locale": "da", "chatHome": { "home": "Home", "addDetails": "Add details", "startConversation": "Start a conversation", "starting": "Starting..." }, "chatMessages": { "messages": "Messages", "noMessages": "No Messages", "loginToSeeHistory": "Verify your email to save your conversation history.", "historyShowsUpHere": "Your conversation history shows up here.", "verifyEmail": "Verify your email", "startConversation": "Start a conversation", "starting": "Starting..." }, "chatMessage": { "botName": "Bot", "yourName": "You", "agentName": "Agent", "escalationHeading": "Are you sure you want to escalate the chat to human support?", "escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.", "yesContinue": "Yes, continue", "cancel": "Cancel", "conversationEscalated": "👨💼 Conversation changed to human mode" }, "chatAccount": { "account": "Account", "verifyEmail": "Verify your email", "loginToSeeHistory": "Verify your email to save your chat history.", "emailLabel": "Email", "nameLabel": "Name", "phoneLabel": "Phone Number", "sendingOtp": "Sending OTP...", "verifyOtp": "Verify OTP", "sentOtpToEmail": "We sent the OTP to your email address", "otp": "OTP", "verifyAndContinue": "Verify & Continue", "notReceivedOtpYet": "Didn't receive OTP yet?", "resend": "Resend", "editDetails": "Edit Details", "resetting": "Resetting...", "verifying": "Verifying...", "logout": "Logout", "loggingOut": "Logging out...", "verified": "Verified", "edit": "Edit", "update": "Update", "updating": "Updating..." }}EOF
import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization"
payload = {
"locale": "da",
"chatHome": {
"home": "Home",
"addDetails": "Add details",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessages": {
"messages": "Messages",
"noMessages": "No Messages",
"loginToSeeHistory": "Verify your email to save your conversation history.",
"historyShowsUpHere": "Your conversation history shows up here.",
"verifyEmail": "Verify your email",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessage": {
"botName": "Bot",
"yourName": "You",
"agentName": "Agent",
"escalationHeading": "Are you sure you want to escalate the chat to human support?",
"escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.",
"yesContinue": "Yes, continue",
"cancel": "Cancel",
"conversationEscalated": "👨💼 Conversation changed to human mode"
},
"chatAccount": {
"account": "Account",
"verifyEmail": "Verify your email",
"loginToSeeHistory": "Verify your email to save your chat history.",
"emailLabel": "Email",
"nameLabel": "Name",
"phoneLabel": "Phone Number",
"sendingOtp": "Sending OTP...",
"verifyOtp": "Verify OTP",
"sentOtpToEmail": "We sent the OTP to your email address",
"otp": "OTP",
"verifyAndContinue": "Verify & Continue",
"notReceivedOtpYet": "Didn't receive OTP yet?",
"resend": "Resend",
"editDetails": "Edit Details",
"resetting": "Resetting...",
"verifying": "Verifying...",
"logout": "Logout",
"loggingOut": "Logging out...",
"verified": "Verified",
"edit": "Edit",
"update": "Update",
"updating": "Updating..."
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'da',
chatHome: {
home: 'Home',
addDetails: 'Add details',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessages: {
messages: 'Messages',
noMessages: 'No Messages',
loginToSeeHistory: 'Verify your email to save your conversation history.',
historyShowsUpHere: 'Your conversation history shows up here.',
verifyEmail: 'Verify your email',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessage: {
botName: 'Bot',
yourName: 'You',
agentName: 'Agent',
escalationHeading: 'Are you sure you want to escalate the chat to human support?',
escalationSubHeading: 'This conversation will be shared with the human support and they will get back to you as soon as they can.',
yesContinue: 'Yes, continue',
cancel: 'Cancel',
conversationEscalated: '👨💼 Conversation changed to human mode'
},
chatAccount: {
account: 'Account',
verifyEmail: 'Verify your email',
loginToSeeHistory: 'Verify your email to save your chat history.',
emailLabel: 'Email',
nameLabel: 'Name',
phoneLabel: 'Phone Number',
sendingOtp: 'Sending OTP...',
verifyOtp: 'Verify OTP',
sentOtpToEmail: 'We sent the OTP to your email address',
otp: 'OTP',
verifyAndContinue: 'Verify & Continue',
notReceivedOtpYet: 'Didn\'t receive OTP yet?',
resend: 'Resend',
editDetails: 'Edit Details',
resetting: 'Resetting...',
verifying: 'Verifying...',
logout: 'Logout',
loggingOut: 'Logging out...',
verified: 'Verified',
edit: 'Edit',
update: 'Update',
updating: 'Updating...'
}
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'locale' => 'da',
'chatHome' => [
'home' => 'Home',
'addDetails' => 'Add details',
'startConversation' => 'Start a conversation',
'starting' => 'Starting...'
],
'chatMessages' => [
'messages' => 'Messages',
'noMessages' => 'No Messages',
'loginToSeeHistory' => 'Verify your email to save your conversation history.',
'historyShowsUpHere' => 'Your conversation history shows up here.',
'verifyEmail' => 'Verify your email',
'startConversation' => 'Start a conversation',
'starting' => 'Starting...'
],
'chatMessage' => [
'botName' => 'Bot',
'yourName' => 'You',
'agentName' => 'Agent',
'escalationHeading' => 'Are you sure you want to escalate the chat to human support?',
'escalationSubHeading' => 'This conversation will be shared with the human support and they will get back to you as soon as they can.',
'yesContinue' => 'Yes, continue',
'cancel' => 'Cancel',
'conversationEscalated' => '👨💼 Conversation changed to human mode'
],
'chatAccount' => [
'account' => 'Account',
'verifyEmail' => 'Verify your email',
'loginToSeeHistory' => 'Verify your email to save your chat history.',
'emailLabel' => 'Email',
'nameLabel' => 'Name',
'phoneLabel' => 'Phone Number',
'sendingOtp' => 'Sending OTP...',
'verifyOtp' => 'Verify OTP',
'sentOtpToEmail' => 'We sent the OTP to your email address',
'otp' => 'OTP',
'verifyAndContinue' => 'Verify & Continue',
'notReceivedOtpYet' => 'Didn\'t receive OTP yet?',
'resend' => 'Resend',
'editDetails' => 'Edit Details',
'resetting' => 'Resetting...',
'verifying' => 'Verifying...',
'logout' => 'Logout',
'loggingOut' => 'Logging out...',
'verified' => 'Verified',
'edit' => 'Edit',
'update' => 'Update',
'updating' => 'Updating...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization"
payload := strings.NewReader("{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"locale\": \"da\",\n \"chatHome\": {\n \"home\": \"Home\",\n \"addDetails\": \"Add details\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessages\": {\n \"messages\": \"Messages\",\n \"noMessages\": \"No Messages\",\n \"loginToSeeHistory\": \"Verify your email to save your conversation history.\",\n \"historyShowsUpHere\": \"Your conversation history shows up here.\",\n \"verifyEmail\": \"Verify your email\",\n \"startConversation\": \"Start a conversation\",\n \"starting\": \"Starting...\"\n },\n \"chatMessage\": {\n \"botName\": \"Bot\",\n \"yourName\": \"You\",\n \"agentName\": \"Agent\",\n \"escalationHeading\": \"Are you sure you want to escalate the chat to human support?\",\n \"escalationSubHeading\": \"This conversation will be shared with the human support and they will get back to you as soon as they can.\",\n \"yesContinue\": \"Yes, continue\",\n \"cancel\": \"Cancel\",\n \"conversationEscalated\": \"👨💼 Conversation changed to human mode\"\n },\n \"chatAccount\": {\n \"account\": \"Account\",\n \"verifyEmail\": \"Verify your email\",\n \"loginToSeeHistory\": \"Verify your email to save your chat history.\",\n \"emailLabel\": \"Email\",\n \"nameLabel\": \"Name\",\n \"phoneLabel\": \"Phone Number\",\n \"sendingOtp\": \"Sending OTP...\",\n \"verifyOtp\": \"Verify OTP\",\n \"sentOtpToEmail\": \"We sent the OTP to your email address\",\n \"otp\": \"OTP\",\n \"verifyAndContinue\": \"Verify & Continue\",\n \"notReceivedOtpYet\": \"Didn't receive OTP yet?\",\n \"resend\": \"Resend\",\n \"editDetails\": \"Edit Details\",\n \"resetting\": \"Resetting...\",\n \"verifying\": \"Verifying...\",\n \"logout\": \"Logout\",\n \"loggingOut\": \"Logging out...\",\n \"verified\": \"Verified\",\n \"edit\": \"Edit\",\n \"update\": \"Update\",\n \"updating\": \"Updating...\"\n }\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Updated localization settings of the chatbot successfully", "data": {}}
Request body to update localization settings of the chatbot
Request Body. A group omitted from the body is reset to its defaults; a group that is present is merged key-by-key into the stored group. locale omitted or null resets to English.
Language of the text the widget writes itself (relative timestamps such as "just now"). A BCP-47 tag from the supported list, for example da, de, ja, pt. Common variants are accepted and stored canonically (da-DK becomes da); an unsupported tag is a validation error.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SiteGPT Docs","colors":{"primary":"#155DEE","light":"#155DEE","dark":"#155DEE"},"logo":{"light":"https://mintcdn.com/sitegpt/dfL6CRQJ3zPf3iUm/logo/light.svg?fit=max\u0026auto=format\u0026n=dfL6CRQJ3zPf3iUm\u0026q=85\u0026s=0a0dcfea4d0990c3ee53df5fdc5fbb62","dark":"https://mintcdn.com/sitegpt/dfL6CRQJ3zPf3iUm/logo/dark.svg?fit=max\u0026auto=format\u0026n=dfL6CRQJ3zPf3iUm\u0026q=85\u0026s=2111fa1fed2bc70d40aee0cd58f47f89"},"favicon":"https://mintcdn.com/sitegpt/dfL6CRQJ3zPf3iUm/logo.svg?fit=max\u0026auto=format\u0026n=dfL6CRQJ3zPf3iUm\u0026q=85\u0026s=308eee623c00dfa6887d41e68491d7b5","api":{"openapi":["https://sitegpt.ai/openapi.yaml","https://sitegpt.ai/api/v2/openapi.json"],"playground":{"display":"interactive"},"mdx":{"server":"https://sitegpt.ai/api"}},"appearance":{"default":"light","strict":true},"background":{"color":{"dark":"#155DEE"}},"navbar":{"links":[{"href":"mailto:support@sitegpt.ai","label":"Support"}],"primary":{"type":"button","label":"Create Your Chatbot Now","href":"https://sitegpt.ai/pricing"}},"footer":{"socials":{"website":"https://sitegpt.ai","twitter":"https://twitter.com/SiteGPT","linkedin":"https://www.linkedin.com/company/SiteGPT","youtube":"https://www.youtube.com/@sitegpt"}},"seo":{"metatags":{"canonical":"https://sitegpt.ai/docs"}},"integrations":{"fathom":{"siteId":"TULDUMHD"},"ga4":{"measurementId":"G-BJ7Q0301KD"},"posthog":{"apiKey":"phc_qA4nP6k87ZHKpJ5paJmtAs1WJLxYL4lz2lOcHCX5sjy","apiHost":"https://sitegpt.ai/ph-j52x"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sitegpt","hasAudioNarration":false,"actualSubdomain":"sitegpt","customDomains":["sitegpt.ai"],"gitSource":{"type":"github","owner":"sitegpt","repo":"sitegpt-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6af21e57f08ebb05e1e3ec15","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Reference","count":185},{"language":"default","tag":"Documentation","count":66},{"language":"default","tag":"Changelog","count":46},{"language":"default","tag":"Chatbots","count":19},{"language":"default","tag":"CLI","count":19},{"language":"default","tag":"Knowledge","count":14},{"language":"default","tag":"Conversations","count":13},{"language":"default","tag":"Personas","count":12},{"language":"default","tag":"Instructions","count":12},{"language":"default","tag":"Get started","count":12}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/chatbot-settings/update-chatbot-settings--localization","slug":"/api-reference/chatbot-settings/update-chatbot-settings--localization","pageMetadata":{"openapi":"patch /v0/chatbots/{chatbotId}/settings/localization","title":"Update Chatbot Settings - Localization","description":"Update localization settings of the chatbot","href":"/api-reference/chatbot-settings/update-chatbot-settings--localization"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update localization settings of the chatbot\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"patch /v0/chatbots/{chatbotId}/settings/localization","title":"Update Chatbot Settings - Localization","description":"Update localization settings of the chatbot","href":"/api-reference/chatbot-settings/update-chatbot-settings--localization"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/sitegpt/71568a7b608411b6/analytics.js"],"openApiReferenceData":{"operation":{"tags":["Chatbot Settings"],"summary":"Update Chatbot Settings - Localization","requestBody":"a22a36cb-8c7d-479d-b4f9-b37ca6df08ff","parameters":["b79621e5-d42d-42da-9f8f-83b45b7585ba"],"responses":{"200":"09547e84-987c-4278-97e7-1acbe155ae9d","400":"9d42a6f9-016b-49b5-bed7-a9e6e955053b","401":"a48bace0-183a-4520-b32c-ee0827467898","403":"c6277bf4-afda-49c9-bcaf-07eb4d6ee6be","405":"cbc262e5-8d69-402a-bcf9-f3f353da60d4","500":"0be63859-8386-4486-850a-ef6821f78be2"},"operationId":"update-chatbot-localization-settings","description":"Update localization settings of the chatbot","method":"patch","type":"path","servers":["c48ab648-58bf-491a-86ce-47795e2cc7c9"],"security":["4a7958bd-182e-49e3-9c58-7fb6b9b4ec26"],"path":"/v0/chatbots/{chatbotId}/settings/localization","baseUrlOptions":["https://sitegpt.ai/api"],"title":"Update Chatbot Settings - Localization","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b79621e5-d42d-42da-9f8f-83b45b7585ba":{"name":"chatbotId","description":"Id of the chatbot","in":"path","schema":{"type":"string","isRequired":true,"description":"Id of the chatbot","uniqueKey":"","typeLabel":"string"},"required":true}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","description":"Request Body. A group omitted from the body is reset to its defaults; a group that is present is merged key-by-key into the stored group. `locale` omitted or null resets to English.","properties":{"locale":{"oneOf":[{"type":"string","description":"Language of the text the widget writes itself (relative timestamps such as \"just now\"). A BCP-47 tag from the supported list, for example `da`, `de`, `ja`, `pt`. Common variants are accepted and stored canonically (`da-DK` becomes `da`); an unsupported tag is a validation error.","uniqueKey":"locale.oneOf.0","typeLabel":"string"},{"type":"null","description":"Language of the text the widget writes itself (relative timestamps such as \"just now\"). A BCP-47 tag from the supported list, for example `da`, `de`, `ja`, `pt`. Common variants are accepted and stored canonically (`da-DK` becomes `da`); an unsupported tag is a validation error.","uniqueKey":"locale.oneOf.1","typeLabel":"null"}],"uniqueKey":"locale","typeLabel":"string | null"},"chatHome":{"title":"Chatbot-Localization-ChatHome","type":"object","description":"Localization settings for home screen in the chatbot","properties":{"home":{"type":"string","description":"Text to be replaced for `Home` in home screen","uniqueKey":"chatHome.home","typeLabel":"string"},"addDetails":{"type":"string","description":"Text to be replaced for `Add details` in home screen","uniqueKey":"chatHome.addDetails","typeLabel":"string"},"startConversation":{"type":"string","description":"Text to be replaced for `Start a conversation` in home screen","uniqueKey":"chatHome.startConversation","typeLabel":"string"},"starting":{"type":"string","description":"Text to be replaced for `Starting...` in home screen","uniqueKey":"chatHome.starting","typeLabel":"string"}},"uniqueKey":"chatHome","typeLabel":"Chatbot-Localization-ChatHome · object"},"chatMessages":{"title":"Chatbot-Localization-ChatMessages","type":"object","description":"Localization settings for messages screen in the chatbot","properties":{"messages":{"type":"string","description":"Text to be replaced for `Messages` in messages screen","uniqueKey":"chatMessages.messages","typeLabel":"string"},"noMessages":{"type":"string","description":"Text to be replaced for `No Messages` in messages screen","uniqueKey":"chatMessages.noMessages","typeLabel":"string"},"loginToSeeHistory":{"type":"string","description":"Text to be replaced for `Verify your email to save your conversation history.` in messages screen","uniqueKey":"chatMessages.loginToSeeHistory","typeLabel":"string"},"historyShowsUpHere":{"type":"string","description":"Text to be replaced for `Your conversation history shows up here.` in messages screen","uniqueKey":"chatMessages.historyShowsUpHere","typeLabel":"string"},"verifyEmail":{"type":"string","description":"Text to be replaced for `Verify your email` in messages screen","uniqueKey":"chatMessages.verifyEmail","typeLabel":"string"},"startConversation":{"type":"string","description":"Text to be replaced for `Start a conversation` in messages screen","uniqueKey":"chatMessages.startConversation","typeLabel":"string"},"starting":{"type":"string","description":"Text to be replaced for `Starting...` in messages screen","uniqueKey":"chatMessages.starting","typeLabel":"string"}},"uniqueKey":"chatMessages","typeLabel":"Chatbot-Localization-ChatMessages · object"},"chatMessage":{"title":"Chatbot-Localization-ChatMessage","type":"object","description":"Localization settings for individual conversations in the chatbot","properties":{"botName":{"type":"string","description":"Text to be replaced for `Bot` in individual conversations","uniqueKey":"chatMessage.botName","typeLabel":"string"},"yourName":{"type":"string","description":"Text to be replaced for `You` in individual conversations","uniqueKey":"chatMessage.yourName","typeLabel":"string"},"agentName":{"type":"string","description":"Text to be replaced for `Agent` in individual conversations","uniqueKey":"chatMessage.agentName","typeLabel":"string"},"escalationHeading":{"type":"string","description":"Text to be replaced for `Are you sure you want to escalate the chat to human support?` in individual conversations","uniqueKey":"chatMessage.escalationHeading","typeLabel":"string"},"escalationSubHeading":{"type":"string","description":"Text to be replaced for `This conversation will be shared with the human support and they will get back to you as soon as they can.` in individual conversations","uniqueKey":"chatMessage.escalationSubHeading","typeLabel":"string"},"yesContinue":{"type":"string","description":"Text to be replaced for `Yes, continue` in individual conversations","uniqueKey":"chatMessage.yesContinue","typeLabel":"string"},"cancel":{"type":"string","description":"Text to be replaced for `Cancel` in individual conversations","uniqueKey":"chatMessage.cancel","typeLabel":"string"},"conversationEscalated":{"type":"string","description":"Text to be replaced for `👨💼 Conversation changed to human mode` in individual conversations","uniqueKey":"chatMessage.conversationEscalated","typeLabel":"string"}},"uniqueKey":"chatMessage","typeLabel":"Chatbot-Localization-ChatMessage · object"},"chatAccount":{"title":"Chatbot-Localization-ChatAccount","type":"object","description":"Localization settings for account screen in the chatbot","properties":{"account":{"type":"string","description":"Text to be replaced for `Account` in account screen","uniqueKey":"chatAccount.account","typeLabel":"string"},"verifyEmail":{"type":"string","description":"Text to be replaced for `Verify your email` in account screen","uniqueKey":"chatAccount.verifyEmail","typeLabel":"string"},"loginToSeeHistory":{"type":"string","description":"Text to be replaced for `Verify your email to save your chat history` in account screen","uniqueKey":"chatAccount.loginToSeeHistory","typeLabel":"string"},"emailLabel":{"type":"string","description":"Text to be replaced for `Email` in account screen","uniqueKey":"chatAccount.emailLabel","typeLabel":"string"},"nameLabel":{"type":"string","description":"Text to be replaced for `Name` in account screen","uniqueKey":"chatAccount.nameLabel","typeLabel":"string"},"phoneLabel":{"type":"string","description":"Text to be replaced for `Phone Number` in account screen","uniqueKey":"chatAccount.phoneLabel","typeLabel":"string"},"submit":{"type":"string","description":"Text to be replaced for `Submit` in account screen","uniqueKey":"chatAccount.submit","typeLabel":"string"},"sendingOtp":{"type":"string","description":"Text to be replaced for `Sending OTP...` in account screen","uniqueKey":"chatAccount.sendingOtp","typeLabel":"string"},"verifyOtp":{"type":"string","description":"Text to be replaced for `Verify OTP` in account screen","uniqueKey":"chatAccount.verifyOtp","typeLabel":"string"},"sentOtpToEmail":{"type":"string","description":"Text to be replaced for `We sent the OTP to your email address` in account screen","uniqueKey":"chatAccount.sentOtpToEmail","typeLabel":"string"},"otp":{"type":"string","description":"Text to be replaced for `OTP` in account screen","uniqueKey":"chatAccount.otp","typeLabel":"string"},"verifyAndContinue":{"type":"string","description":"Text to be replaced for `Verify \u0026 Continue` in account screen","uniqueKey":"chatAccount.verifyAndContinue","typeLabel":"string"},"notReceivedOtpYet":{"type":"string","description":"Text to be replaced for `Didn't receive OTP yet?` in account screen","uniqueKey":"chatAccount.notReceivedOtpYet","typeLabel":"string"},"resend":{"type":"string","description":"Text to be replaced for `Resend` in account screen","uniqueKey":"chatAccount.resend","typeLabel":"string"},"editDetails":{"type":"string","description":"Text to be replaced for `Edit Details` in account screen","uniqueKey":"chatAccount.editDetails","typeLabel":"string"},"resetting":{"type":"string","description":"Text to be replaced for `Resetting...` in account screen","uniqueKey":"chatAccount.resetting","typeLabel":"string"},"verifying":{"type":"string","description":"Text to be replaced for `Verifying...` in account screen","uniqueKey":"chatAccount.verifying","typeLabel":"string"},"logout":{"type":"string","description":"Text to be replaced for `Logout` in account screen","uniqueKey":"chatAccount.logout","typeLabel":"string"},"loggingOut":{"type":"string","description":"Text to be replaced for `Logging out...` in account screen","uniqueKey":"chatAccount.loggingOut","typeLabel":"string"},"verified":{"type":"string","description":"Text to be replaced for `Verified` in account screen","uniqueKey":"chatAccount.verified","typeLabel":"string"},"edit":{"type":"string","description":"Text to be replaced for `Edit` in account screen","uniqueKey":"chatAccount.edit","typeLabel":"string"},"update":{"type":"string","description":"Text to be replaced for `Update` in account screen","uniqueKey":"chatAccount.update","typeLabel":"string"},"updating":{"type":"string","description":"Text to be replaced for `Updating...` in account screen","uniqueKey":"chatAccount.updating","typeLabel":"string"}},"uniqueKey":"chatAccount","typeLabel":"Chatbot-Localization-ChatAccount · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Request Body":{"title":"Request Body","value":{"locale":"da","chatHome":{"home":"Home","addDetails":"Add details","startConversation":"Start a conversation","starting":"Starting..."},"chatMessages":{"messages":"Messages","noMessages":"No Messages","loginToSeeHistory":"Verify your email to save your conversation history.","historyShowsUpHere":"Your conversation history shows up here.","verifyEmail":"Verify your email","startConversation":"Start a conversation","starting":"Starting..."},"chatMessage":{"botName":"Bot","yourName":"You","agentName":"Agent","escalationHeading":"Are you sure you want to escalate the chat to human support?","escalationSubHeading":"This conversation will be shared with the human support and they will get back to you as soon as they can.","yesContinue":"Yes, continue","cancel":"Cancel","conversationEscalated":"👨💼 Conversation changed to human mode"},"chatAccount":{"account":"Account","verifyEmail":"Verify your email","loginToSeeHistory":"Verify your email to save your chat history.","emailLabel":"Email","nameLabel":"Name","phoneLabel":"Phone Number","sendingOtp":"Sending OTP...","verifyOtp":"Verify OTP","sentOtpToEmail":"We sent the OTP to your email address","otp":"OTP","verifyAndContinue":"Verify \u0026 Continue","notReceivedOtpYet":"Didn't receive OTP yet?","resend":"Resend","editDetails":"Edit Details","resetting":"Resetting...","verifying":"Verifying...","logout":"Logout","loggingOut":"Logging out...","verified":"Verified","edit":"Edit","update":"Update","updating":"Updating..."}}}},"exampleType":"examples"}},"description":"Request body to update localization settings of the chatbot","exampleType":"examples"},"responses":{"09547e84-987c-4278-97e7-1acbe155ae9d":{"description":"OK","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Success Response","properties":{"success":{"type":"boolean","description":"Indicates whether this is success response or error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the server","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the server","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Success":{"title":"Success","value":{"success":true,"message":"Updated localization settings of the chatbot successfully","data":{}}}},"exampleType":"examples"}},"exampleType":"examples"},"9d42a6f9-016b-49b5-bed7-a9e6e955053b":{"description":"Bad Request","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Error Response","properties":{"success":{"type":"boolean","description":"Indicates that this is error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall error message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"error":{"type":"object","description":"Object with the error details","properties":{"code":{"type":"string","description":"Based on this error code, you can identify what is the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"The message indicating the reason for the error","uniqueKey":"error.message","typeLabel":"string"},"details":{"oneOf":[{"type":"array","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","description":"Specifies the position in an array","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX]","typeLabel":"string | integer"},"uniqueKey":"error.details.oneOf.0.items.[INDEX].path","typeLabel":"(string | integer)[]"},"message":{"type":"string","description":"Reason for the error of the path mentioned before","uniqueKey":"error.details.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.details.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.details.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field"},{"type":"integer","description":"Specifies the position in an array"}]}},"message":{"type":"string","description":"Reason for the error of the path mentioned before"}}},"uniqueKey":"error.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.details","typeLabel":"object[] | null"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Validation Error":{"title":"Validation Error","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"CHATBOT_ID_REQUIRED","message":"chatbotId is required","details":null}}},"Invalid Request Body":{"title":"Invalid Request Body","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"REQUEST_VALIDATION_FAILED","message":"Request body is not valid","details":[{"path":["chatHome","home"],"message":"Expected string, received number"}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"a48bace0-183a-4520-b32c-ee0827467898":{"description":"Unauthorized","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Error Response","properties":{"success":{"type":"boolean","description":"Indicates that this is error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall error message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"error":{"type":"object","description":"Object with the error details","properties":{"code":{"type":"string","description":"Based on this error code, you can identify what is the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"The message indicating the reason for the error","uniqueKey":"error.message","typeLabel":"string"},"details":{"oneOf":[{"type":"array","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","description":"Specifies the position in an array","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX]","typeLabel":"string | integer"},"uniqueKey":"error.details.oneOf.0.items.[INDEX].path","typeLabel":"(string | integer)[]"},"message":{"type":"string","description":"Reason for the error of the path mentioned before","uniqueKey":"error.details.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.details.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.details.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field"},{"type":"integer","description":"Specifies the position in an array"}]}},"message":{"type":"string","description":"Reason for the error of the path mentioned before"}}},"uniqueKey":"error.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.details","typeLabel":"object[] | null"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Authentication Error":{"title":"Authentication Error","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"API_KEY_NOT_VALID","message":"Authorization header does not contain valid API key","details":null}}}},"exampleType":"examples"}},"exampleType":"examples"},"c6277bf4-afda-49c9-bcaf-07eb4d6ee6be":{"description":"Forbidden","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Error Response","properties":{"success":{"type":"boolean","description":"Indicates that this is error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall error message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"error":{"type":"object","description":"Object with the error details","properties":{"code":{"type":"string","description":"Based on this error code, you can identify what is the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"The message indicating the reason for the error","uniqueKey":"error.message","typeLabel":"string"},"details":{"oneOf":[{"type":"array","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","description":"Specifies the position in an array","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX]","typeLabel":"string | integer"},"uniqueKey":"error.details.oneOf.0.items.[INDEX].path","typeLabel":"(string | integer)[]"},"message":{"type":"string","description":"Reason for the error of the path mentioned before","uniqueKey":"error.details.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.details.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.details.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field"},{"type":"integer","description":"Specifies the position in an array"}]}},"message":{"type":"string","description":"Reason for the error of the path mentioned before"}}},"uniqueKey":"error.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.details","typeLabel":"object[] | null"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Forbidden Error":{"title":"Forbidden Error","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"CHATBOT_LOCALIZATION_SETTINGS_UPDATE_FORBIDDEN","message":"You are not authorized to update localization settings of this chatbot","details":null}}}},"exampleType":"examples"}},"exampleType":"examples"},"cbc262e5-8d69-402a-bcf9-f3f353da60d4":{"description":"Method Not Allowed","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Error Response","properties":{"success":{"type":"boolean","description":"Indicates that this is error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall error message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"error":{"type":"object","description":"Object with the error details","properties":{"code":{"type":"string","description":"Based on this error code, you can identify what is the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"The message indicating the reason for the error","uniqueKey":"error.message","typeLabel":"string"},"details":{"oneOf":[{"type":"array","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","description":"Specifies the position in an array","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX]","typeLabel":"string | integer"},"uniqueKey":"error.details.oneOf.0.items.[INDEX].path","typeLabel":"(string | integer)[]"},"message":{"type":"string","description":"Reason for the error of the path mentioned before","uniqueKey":"error.details.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.details.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.details.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field"},{"type":"integer","description":"Specifies the position in an array"}]}},"message":{"type":"string","description":"Reason for the error of the path mentioned before"}}},"uniqueKey":"error.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.details","typeLabel":"object[] | null"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Method Not Allowed Error":{"title":"Method Not Allowed Error","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"REQUEST_METHOD_NOT_ALLOWED","message":"POST request method is not allowed","details":null}}}},"exampleType":"examples"}},"exampleType":"examples"},"0be63859-8386-4486-850a-ef6821f78be2":{"description":"Internal Server Error","headers":{"Content-Type":{"schema":{"type":"string","example":"application/json"},"description":"application/json"}},"content":{"application/json":{"schema":{"type":"object","description":"Error Response","properties":{"success":{"type":"boolean","description":"Indicates that this is error response","uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Overall error message regarding the operation performed","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"object","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Data returned from the API. This will be `null` for errors","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"object | null"},"error":{"type":"object","description":"Object with the error details","properties":{"code":{"type":"string","description":"Based on this error code, you can identify what is the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"The message indicating the reason for the error","uniqueKey":"error.message","typeLabel":"string"},"details":{"oneOf":[{"type":"array","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","description":"Specifies the position in an array","uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.details.oneOf.0.items.[INDEX].path.items.[INDEX]","typeLabel":"string | integer"},"uniqueKey":"error.details.oneOf.0.items.[INDEX].path","typeLabel":"(string | integer)[]"},"message":{"type":"string","description":"Reason for the error of the path mentioned before","uniqueKey":"error.details.oneOf.0.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.details.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.details.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"More details on the error. Applicable only for Validation errors","items":{"type":"object","properties":{"path":{"type":"array","description":"Specifies the path in request body where error occurred. If the error field is nexted, then this array length will be more than 1.","items":{"oneOf":[{"type":"string","description":"Specifies the name of the field"},{"type":"integer","description":"Specifies the position in an array"}]}},"message":{"type":"string","description":"Reason for the error of the path mentioned before"}}},"uniqueKey":"error.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.details","typeLabel":"object[] | null"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Server Error":{"title":"Server Error","value":{"success":false,"message":"Failed to update localization settings of the chatbot","data":null,"error":{"code":"CHATBOT_LOCALIZATION_SETTINGS_UPDATE_FAILED","message":"Some technical error has occurred !!","details":null}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"4a7958bd-182e-49e3-9c58-7fb6b9b4ec26":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"c48ab648-58bf-491a-86ce-47795e2cc7c9":{"url":"https://sitegpt.ai/api"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://sitegpt.ai/openapi.yaml"},"subdomain":"sitegpt","siteName":"SiteGPT Docs","title":"Update Chatbot Settings - Localization - SiteGPT Docs","navMaps":{"firstHrefInVersion":{"v2":{"href":"/api-reference/settings/get-settings","matchLevel":2},"v0":{"href":"/api-reference/chatbot-settings/update-chatbot-settings--localization","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-08-26T16:45:28.448Z","originalFileLocation":"api-reference/chatbot-settings/update-chatbot-settings--localization.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update localization settings of the chatbot\">\u003cmeta data-mint-head name=\"application-name\" content=\"SiteGPT Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Chatbot Settings - Localization - SiteGPT Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update localization settings of the chatbot\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SiteGPT Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sitegpt.mintlify.site/docs/_mintlify/api/og/v2?division=Settings\u0026amp;title=Update+Chatbot+Settings+-+Localization\u0026amp;description=Update+localization+settings+of+the+chatbot\u0026amp;theme=e9607be87d1b982c757ec832\u0026amp;signature=b886ec7d09199ccb8b0261d8bb7fbca068b12eb1f0c3c10bbb6c0715b11a0365\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Chatbot Settings - Localization - SiteGPT Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update localization settings of the chatbot\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sitegpt.mintlify.site/docs/_mintlify/api/og/v2?division=Settings\u0026amp;title=Update+Chatbot+Settings+-+Localization\u0026amp;description=Update+localization+settings+of+the+chatbot\u0026amp;theme=e9607be87d1b982c757ec832\u0026amp;signature=b886ec7d09199ccb8b0261d8bb7fbca068b12eb1f0c3c10bbb6c0715b11a0365\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/sitegpt/zmL_DIEoEtIXFD5K/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SiteGPT Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#155DEE\">\u003clink data-mint-head rel=\"canonical\" href=\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/chatbot-settings/update-chatbot-settings--localization.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://sitegpt.ai/#organization\",\"name\":\"SiteGPT Docs\",\"url\":\"https://sitegpt.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sitegpt/dfL6CRQJ3zPf3iUm/logo/light.svg?fit=max\u0026auto=format\u0026n=dfL6CRQJ3zPf3iUm\u0026q=85\u0026s=0a0dcfea4d0990c3ee53df5fdc5fbb62\"}},{\"@type\":\"WebSite\",\"@id\":\"https://sitegpt.ai/docs#website\",\"name\":\"SiteGPT Docs\",\"url\":\"https://sitegpt.ai/docs\",\"publisher\":{\"@id\":\"https://sitegpt.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization#webpage\",\"url\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization\",\"name\":\"Update Chatbot Settings - Localization\",\"description\":\"Update localization settings of the chatbot\",\"dateModified\":\"2026-08-26T16:45:28.448Z\",\"isPartOf\":{\"@id\":\"https://sitegpt.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Settings\",\"item\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--general\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Chatbot Settings - Localization\",\"item\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization#apireference\",\"headline\":\"Update Chatbot Settings - Localization\",\"name\":\"Update Chatbot Settings - Localization\",\"description\":\"Update localization settings of the chatbot\",\"url\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization\",\"mainEntityOfPage\":{\"@id\":\"https://sitegpt.ai/docs/api-reference/chatbot-settings/update-chatbot-settings--localization#webpage\"},\"dateModified\":\"2026-08-26T16:45:28.448Z\",\"publisher\":{\"@id\":\"https://sitegpt.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://sitegpt.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"SiteGPT Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"SiteGPT Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api-reference/chatbot-settings/update-chatbot-settings--localization.md","siteName":"SiteGPT Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction/what-is-sitegpt"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/overview"}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli/overview"}]},{"tab":"API Reference","versions":[{"version":"v2","default":true,"pages":[{"title":"v2","href":"/api-reference/settings/get-settings"}]},{"version":"v0","groups":[{"group":"Legacy API v0","icon":"book","pages":[{"title":"Legacy API v0","sidebarTitle":"Getting started","icon":"rocket","href":"/api-reference/getting-started"},{"title":"Move from API v0 to v2","sidebarTitle":"v0 to v2 mapping","icon":"arrow-right-arrow-left","href":"/api-reference/v0-to-v2"}]},{"group":"Chatbots","icon":"message-bot","pages":[{"openapi":"get /v0/chatbots","title":"Fetch All Chatbots","href":"/api-reference/chatbot/fetch-all-chatbots"},{"openapi":"post /v0/chatbots","title":"Create Chatbot","href":"/api-reference/chatbot/create-chatbot"},{"openapi":"get /v0/chatbots/{chatbotId}","title":"Fetch Chatbot","href":"/api-reference/chatbot/fetch-chatbot"},{"openapi":"delete /v0/chatbots/{chatbotId}","title":"Delete Chatbot","href":"/api-reference/chatbot/delete-chatbot"}]},{"group":"Appearance","icon":"palette","pages":[{"openapi":"patch /v0/chatbots/{chatbotId}/appearance","title":"Update Chatbot Appearance","href":"/api-reference/chatbot-appearance/update-chatbot-appearance"}]},{"group":"Custom Content","icon":"file-pen","pages":[{"openapi":"post /v0/chatbots/{chatbotId}/custom-content","title":"Modify Chatbot Custom Content","href":"/api-reference/chatbot-custom-content/modify-chatbot-custom-content"}]},{"group":"Follow-up Prompts","icon":"message-arrow-up","pages":[{"openapi":"get /v0/chatbots/{chatbotId}/follow-up-prompts","title":"Fetch All Follow Up Prompts","href":"/api-reference/chatbot-follow-up-prompts/fetch-all-follow-up-prompts"},{"openapi":"post /v0/chatbots/{chatbotId}/follow-up-prompts","title":"Add Follow Up Prompt","href":"/api-reference/chatbot-follow-up-prompts/add-follow-up-prompt"},{"openapi":"get /v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId}","title":"Fetch Follow Up Prompt","href":"/api-reference/chatbot-follow-up-prompts/fetch-follow-up-prompt"},{"openapi":"patch /v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId}","title":"Update Follow Up Prompt","href":"/api-reference/chatbot-follow-up-prompts/update-follow-up-prompt"},{"openapi":"delete /v0/chatbots/{chatbotId}/follow-up-prompts/{followUpPromptId}","title":"Delete Follow Up Prompt","href":"/api-reference/chatbot-follow-up-prompts/delete-follow-up-prompt"}]},{"group":"Icons","icon":"icons","pages":[{"openapi":"post /v0/chatbots/{chatbotId}/icons","title":"Update Chatbot Icons","href":"/api-reference/chatbot-icons/update-chatbot-icons"},{"openapi":"delete /v0/chatbots/{chatbotId}/icons","title":"Delete Chatbot Icons","href":"/api-reference/chatbot-icons/delete-chatbot-icons"}]},{"group":"Content \u0026 Training","icon":"book-open","pages":[{"openapi":"post /v0/chatbots/{chatbotId}/links","title":"Add Links to Chatbot (v0)","href":"/api-reference/chatbot-links/add-links-to-chatbot"},{"openapi":"post /v1/chatbots/{chatbotId}/links","title":"Add Content to Chatbot","href":"/api-reference/chatbot-links/add-content-to-chatbot"}]},{"group":"Messages","icon":"messages","pages":[{"openapi":"post /v0/chatbots/{chatbotId}/message","title":"Send Message","href":"/api-reference/chatbot-messages/send-message"},{"openapi":"patch /v0/chatbots/{chatbotId}/messages/{messageId}","title":"Update Message","href":"/api-reference/chatbot-messages/update-message"}]},{"group":"Personas","icon":"user-tie","pages":[{"openapi":"get /v0/chatbots/{chatbotId}/settings/personas","title":"Fetch All Chatbot Personas","href":"/api-reference/chatbot-personas/fetch-all-chatbot-personas"},{"openapi":"post /v0/chatbots/{chatbotId}/settings/personas","title":"Add Chatbot Persona","href":"/api-reference/chatbot-personas/add-chatbot-persona"},{"openapi":"get /v0/chatbots/{chatbotId}/settings/personas/{personaId}","title":"Fetch Chatbot Persona","href":"/api-reference/chatbot-personas/fetch-chatbot-persona"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/personas/{personaId}","title":"Update Chatbot Persona","href":"/api-reference/chatbot-personas/update-chatbot-persona"},{"openapi":"delete /v0/chatbots/{chatbotId}/settings/personas/{personaId}","title":"Delete Chatbot Persona","href":"/api-reference/chatbot-personas/delete-chatbot-persona"},{"openapi":"post /v0/chatbots/{chatbotId}/settings/personas/{personaId}/assign","title":"Assign Persona to Chatbot","href":"/api-reference/chatbot-personas/assign-persona-to-chatbot"}]},{"group":"Instructions","icon":"message-text","pages":[{"openapi":"get /v0/chatbots/{chatbotId}/settings/prompts","title":"Fetch All Chatbot Prompts","href":"/api-reference/chatbot-prompts/fetch-all-chatbot-prompts"},{"openapi":"post /v0/chatbots/{chatbotId}/settings/prompts","title":"Add Chatbot Prompt","href":"/api-reference/chatbot-prompts/add-chatbot-prompt"},{"openapi":"get /v0/chatbots/{chatbotId}/settings/prompts/{promptId}","title":"Fetch Chatbot Prompt","href":"/api-reference/chatbot-prompts/fetch-chatbot-prompt"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/prompts/{promptId}","title":"Update Chatbot Prompt","href":"/api-reference/chatbot-prompts/update-chatbot-prompt"},{"openapi":"delete /v0/chatbots/{chatbotId}/settings/prompts/{promptId}","title":"Delete Chatbot Prompt","href":"/api-reference/chatbot-prompts/delete-chatbot-prompt"},{"openapi":"post /v0/chatbots/{chatbotId}/settings/prompts/{promptId}/assign","title":"Assign Prompt to Chatbot","href":"/api-reference/chatbot-prompts/assign-prompt-to-chatbot"}]},{"group":"Conversation Starters","icon":"bolt","pages":[{"openapi":"get /v0/chatbots/{chatbotId}/conversation-starters","title":"Fetch All Conversation Starters","href":"/api-reference/chatbot-quick-prompts/fetch-all-quick-prompts"},{"openapi":"post /v0/chatbots/{chatbotId}/conversation-starters","title":"Add Conversation Starter","href":"/api-reference/chatbot-quick-prompts/add-quick-prompt"},{"openapi":"get /v0/chatbots/{chatbotId}/conversation-starters/{promptId}","title":"Fetch Conversation Starter","href":"/api-reference/chatbot-quick-prompts/fetch-quick-prompt"},{"openapi":"patch /v0/chatbots/{chatbotId}/conversation-starters/{promptId}","title":"Update Conversation Starter","href":"/api-reference/chatbot-quick-prompts/update-quick-prompt"},{"openapi":"delete /v0/chatbots/{chatbotId}/conversation-starters/{promptId}","title":"Delete Conversation Starter","href":"/api-reference/chatbot-quick-prompts/delete-quick-prompt"}]},{"group":"Settings","icon":"gear","pages":[{"openapi":"patch /v0/chatbots/{chatbotId}/settings/general","title":"Update Chatbot Settings - General","href":"/api-reference/chatbot-settings/update-chatbot-settings--general"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/advanced","title":"Update Chatbot Settings - Advanced","href":"/api-reference/chatbot-settings/update-chatbot-settings--advanced"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/chat-mode","title":"Update Chatbot Settings - Chat Mode","description":"Update chat-mode settings of the chatbot","href":"/api-reference/chatbot-settings/update-chatbot-settings--chat-mode"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/localization","title":"Update Chatbot Settings - Localization","href":"/api-reference/chatbot-settings/update-chatbot-settings--localization"},{"openapi":"patch /v0/chatbots/{chatbotId}/settings/user-data","title":"Update Chatbot Settings - User Data","description":"Update user-data settings of the chatbot","href":"/api-reference/chatbot-settings/update-chatbot-settings--user-data"}]},{"group":"Threads","icon":"message-lines","pages":[{"openapi":"get /v0/chatbots/{chatbotId}/threads","title":"Fetch All Threads","href":"/api-reference/chatbot-threads/fetch-all-threads"},{"openapi":"post /v0/chatbots/{chatbotId}/threads","title":"Create Thread","href":"/api-reference/chatbot-threads/create-thread"},{"openapi":"get /v0/chatbots/{chatbotId}/threads/{threadId}","title":"Fetch Thread","href":"/api-reference/chatbot-threads/fetch-thread"},{"openapi":"patch /v0/chatbots/{chatbotId}/threads/{threadId}","title":"Update Thread","href":"/api-reference/chatbot-threads/update-thread"},{"openapi":"post /v0/chatbots/{chatbotId}/threads/{threadId}/escalate","title":"Escalate Conversation","href":"/api-reference/chatbot-threads/escalate-conversation"}]},{"group":"Whitelabel (Deprecated)","icon":"tag","pages":[{"openapi":"get /v0/w/brands","title":"Fetch Whitelabel Brands","href":"/api-reference/whitelabel/fetch-whitelabel-brands"},{"openapi":"get /v0/w/brands/{brandId}","title":"Fetch Whitelabel Brand","href":"/api-reference/whitelabel/fetch-whitelabel-brand"},{"openapi":"post /v0/w/brands/{brandId}/users","title":"Add Whitelabel User","href":"/api-reference/whitelabel/add-whitelabel-user"},{"openapi":"get /v0/w/brands/{brandId}/users/{userId}","title":"Fetch Whitelabel User","href":"/api-reference/whitelabel/fetch-whitelabel-user"},{"openapi":"patch /v0/w/brands/{brandId}/users/{userId}","title":"Update Whitelabel User","href":"/api-reference/whitelabel/update-whitelabel-user"},{"openapi":"patch /v0/w/brands/{brandId}/users/{userId}/api-key","title":"Generate API key for Whitelabel User","href":"/api-reference/whitelabel/generate-api-key-for-whitelabel-user"}]}]}]}]},"basePath":"","title":"Update Chatbot Settings - Localization - SiteGPT Docs","buildId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","deploymentId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-EBSrFTg1.js","utils-Y_7TcRh4.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D1wvvkPH.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-aT0ty6oN.js","snippetPresets-DoNRuyJc.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-CXRajFpn.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BAyOsINj.js","shallow-CIcHqV1v.js","getApiPlaygroundDisplay-C5igZwEf.js","CodeSnippet-BFWnQLNh.js","CodeSnippets-Cx2mFgZW.js","Page-DCFaZE46.js","getPastedJson-BOy09PZp.js","icon-BwmYtB6R.js","MethodPill-DAIhq-iu.js","DuplicateIcon-DFM8Q3ph.js","createIcon-0UdvzB4Z.js","DynamicMarkdown-DYYZTGpa.js","SectionHeading-BFCDRUuH.js","axios-vUo_bRtp.js","Markdown-C6TcKjiR.js","clsx-Y_UC780V.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-PCbBHBTv.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-D4q_oRML.js"]}